#! /usr/bin/env python
# -*- coding: utf-8 -*-

# convert old bsnes cheat tables to the yaml cheat format

import sys
import os

PROGRAM_NAME = sys.argv[0]

#args checking
if(len(sys.argv)<=2 or sys.argv[1]=='-h' or sys.argv[1]=='--help' or not os.path.isfile(sys.argv[1])):
	print("usage: " + PROGRAM_NAME + " /path/to/input_cheat_table.cht /path/to/output_cheat_table.cht")
	import logging
	logging.exception("")
	exit(1)

inputfile = None
outputfile = None
try:
	inputfile = open(sys.argv[1])
	outputfile = open(sys.argv[2], "w")
except:
	print(PROGRAM_NAME + "error: unable to open I/O files")
	sys.exit(1)
	

import csv
csv_rows = csv.reader(inputfile, delimiter=',', quotechar='"')
for row in csv_rows:
	status = row[0]
	code = row[1]
	desc = row[2]
	outputfile.write("cheat\n")
	outputfile.write("  name: " + desc + "\n")
	outputfile.write("  code: " + code + "\n")
	if(status==""):
		outputfile.write("  code: " + code + "\n")
	outputfile.write("\n")  # empty newline
# endfor

inputfile.close()
outputfile.close()

